# IPositionFollower

Contract tracking liquidity position

Using these methods farmingCenter receives information about changes in the positions

## Functions

### applyLiquidityDelta

`function applyLiquidityDelta(uint256 tokenId, int256 liquidityDelta) external` external

Report a change of liquidity in position

| Name           | Type    | Description                                            |
| -------------- | ------- | ------------------------------------------------------ |
| tokenId        | uint256 | The ID of the token for which liquidity is being added |
| liquidityDelta | int256  | The amount of added liquidity                          |

### burnPosition

`function burnPosition(uint256 tokenId) external returns (bool)` external

Report a burn of position token

| Name    | Type    | Description                               |
| ------- | ------- | ----------------------------------------- |
| tokenId | uint256 | The ID of the token which is being burned |

**Returns:**

| Name | Type | Description |
| ---- | ---- | ----------- |
| \[0] | bool |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v2.0-directional-fees/v2.0-directional-fees-periphery/ipositionfollower.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
